!******************************************************************************
!*                                  WINDOWS.INC                               *
!*                                                                            *
!*  Windows API definitions for Clarion for Windows                           *
!*                                                                            *
!*  Copyright (c) 1992-1995, Microsoft Corp. All rights reserved.             *
!*                                                                            *
!*  Transcribed by Sean Wilson                                                *
!******************************************************************************

SECTION('SystemTypes')
!*** System dependent types ***************************************************
HANDLE                      EQUATE(USHORT)
INT                         EQUATE(SHORT)
UINT                        EQUATE(USHORT)

SECTION('SystemPrototypes')
!*** System dependent prototypes **********************************************
  MAP
    MODULE('Win16')
      GetDlgItemText(HWND, INT, LPSTR, INT), UINT, RAW, PASCAL, NAME('GetDlgItemText')
      RegisterWindowMessage(*CSTRING), UINT, RAW, PASCAL, NAME('RegisterWindowMessage')
      CallWindowProc(WNDPROC, HWND, UINT, WPARAM, LPARAM), LRESULT, RAW, PASCAL, NAME('CallWIndowProc')
      SetWindowText(HWND, *CSTRING), BOOL, RAW, PASCAL, NAME('SetWindowText')
      GetModuleFileName(HMODULE, *CSTRING, DWORD), DWORD, RAW, PASCAL, NAME('GetModuleFileName')
      GetOrdAddress(HINSTANCE, POINTER), FARPROC, PASCAL, NAME('GetProcAddress')
      GetProcAddress(HINSTANCE, *CSTRING), FARPROC, PASCAL
      LoadLibrary(*CSTRING), HINSTANCE, RAW, PASCAL
      FreeModule(HINSTANCE), PASCAL
    END
  END

