!******************************************************************************
!*                                  WIN32.INC                                 *
!*                                                                            *
!*  Windows API definitions for Clarion for Windows (32-bit specific)         *
!*                                                                            *
!*  Copyright (c) 1992-1995, Microsoft Corp. All rights reserved.             *
!*                                                                            *
!*  Transcribed by Sean Wilson                                                *
!******************************************************************************

SECTION('SystemTypes')
!*** System dependent types ***************************************************
HANDLE                      EQUATE(ULONG)
INT                         EQUATE(LONG)
UINT                        EQUATE(ULONG)

SECTION('SystemPrototypes')
!*** System dependent prototypes **********************************************
  MAP
    MODULE('Win32')
      MoveMemory(POINTER, POINTER, DWORD), RAW, PASCAL, NAME('RtlMoveMemory')
      FillMemory(POINTER, DWORD, BYTE), RAW, PASCAL, NAME('RtlFillMemory')
      ZeroMemory(POINTER, DWORD), RAW, PASCAL, NAME('RtlZeroMemory')
      GetDlgItemText(HWND, INT, LPSTR, INT), UINT, RAW, PASCAL, NAME('GetDlgItemTextA')
      RegisterWindowMessage(*CSTRING), UINT, RAW, PASCAL, NAME('RegisterWindowMessageA')
      CallWindowProc(WNDPROC, HWND, UINT, WPARAM, LPARAM), LRESULT, RAW, PASCAL, NAME('CallWIndowProcA')
      SetWindowText(HWND, LPCSTR), BOOL, RAW, PASCAL, NAME('SetWindowTextA')
      GetModuleFileName(HMODULE, *CSTRING, DWORD), DWORD, RAW, PASCAL, NAME('GetModuleFileName')
      GetOrdAddress(HINSTANCE, POINTER), FARPROC, PASCAL, NAME('GetProcAddress')
      GetProcAddress(HINSTANCE, *CSTRING), FARPROC, PASCAL
      LoadLibrary(*CSTRING), HINSTANCE, RAW, PASCAL, NAME('LoadLibraryA')
      FreeModule(HINSTANCE), PASCAL, NAME('FreeLibrary')
      GetLastError(), PASCAL, ULONG
    END
  END

